Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl Unicode::UTF8simple Module
Name:		perl-Unicode-UTF8simple
Version:	1.06
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		NONE
Source:		Unicode-UTF8simple-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	noarch
# shut out AutoRequires as Win32::Registry isn't available on Linux
AutoReq:	no

%define		perlepoch	3
%define		perlversion	5.10.0

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description

%prep
%setup -q -n Unicode-UTF8simple-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod
fi

# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/%{perlversion}/Unicode/UTF8simple.pm
%{_libdir}/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/Unicode/UTF8simple/.packlist
%{_mandir}/man3/Unicode::UTF8simple.3.gz

%changelog
* Fri Dec 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.06-1
- Initial CCux package release
